package de.cliffbreak.varo;

import org.bukkit.Difficulty;
import org.bukkit.World;
import org.bukkit.World.Environment;
import org.bukkit.plugin.java.JavaPlugin;

import de.cliffbreak.varo.commands.TestCommand;
import de.cliffbreak.varo.listeners.ChatListener;
import de.cliffbreak.varo.listeners.EntityRegainHealthListener;
import de.cliffbreak.varo.listeners.PlayerJoinQuitListener;

public class Varo extends JavaPlugin {
    @Override
    public void onEnable() {

        getLogger().info("CliffbreakVaro is starting...");

        getServer().getPluginManager().registerEvents(new ChatListener(), this);
        getServer().getPluginManager().registerEvents(new PlayerJoinQuitListener(), this);
        getServer().getPluginManager().registerEvents(new EntityRegainHealthListener(), this);

        getCommand("test").setExecutor(new TestCommand());

        for (World world : getServer().getWorlds()) {
            if (world.getEnvironment() == Environment.NORMAL) {
                world.setDifficulty(Difficulty.HARD);
                // world.setHardcore(true); //TODO: Should other hearts be displayed?
            }
        }
    }

    @Override
    public void onDisable() {
        getLogger().info("Stopping CliffbreakVaro!");
    }
}
