package de.cliffbreak.varo.listeners;

import com.destroystokyo.paper.event.server.PaperServerListPingEvent;

import org.bukkit.Bukkit;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;
import org.bukkit.event.server.ServerListPingEvent;

import de.cliffbreak.varo.uitls.MessageUtils;

public class PlayerJoinQuitListener implements Listener {

    @EventHandler()
    public void onPlayerQuit(PlayerQuitEvent e) {
        e.setQuitMessage(null);
        Bukkit.broadcast(
                MessageUtils.getRichTextComponent(e.getPlayer().getName(), "§f hat den Server verlassen.", true));
    }

    @EventHandler()
    public void onPlayerJoin(PlayerJoinEvent e) {
        e.setJoinMessage(null);
        Bukkit.broadcast(
                MessageUtils.getRichTextComponent(e.getPlayer().getName(), "§f hat den Server betreten.", true));
        e.getPlayer().sendMessage("\n§7§l#### §9Cliffbreak.de - §lVaro §r§9Changelog §7§l####\n \n"
                + "   §cWarning: §r§c Plugin is running in DEBUG mode!\n "
                + "\n §7• §r§lADD: §rRedesigned Chat with Timestamp"
                + "\n §7• §r§lADD: §rHover over Playername for Details (Team)"
                + "\n §7• §r§lADD: §rControl Difficulty and Gamerules by the Plugin"
                + "\n §7• §r§lADD: §rCustom Dynamic ServerListEntry" + "\n §7• §r§lADD: §r1.8 Health Regeneration");
    }

    @EventHandler()
    public void onServerListPing(ServerListPingEvent event) {
        if (event instanceof PaperServerListPingEvent) {
            handlePaperServerListPing((PaperServerListPingEvent) event);
        } else {
            Bukkit.getLogger().info("Error: Plugin is not running on a PaperServer");
        }
    }

    private void handlePaperServerListPing(final PaperServerListPingEvent e) {
        e.setHidePlayers(true);
        // TODO: Add day counter
        e.setMotd("§9§l" + "VARO" + "§b§l " + "Tag: -1" + "\n§r§7" + "powered by " + "§4" + "Cliffbreak.de");
    }
}